Package org.apache.tapestry5.grid

# Class GridPaginationModelImpl

java.lang.Object
org.apache.tapestry5.BaseOptimizedSessionPersistedObject
org.apache.tapestry5.grid.GridPaginationModelImpl

All Implemented Interfaces:
  `Serializable`, `GridPaginationModel`, `OptimizedSessionPersistedObject`

public class GridPaginationModelImpl extends BaseOptimizedSessionPersistedObject implements GridPaginationModel
Standard implementation of `GridPaginationModel`.

Since:
  5.4
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GridPaginationModelImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getCurrentPage()`
  `Boolean`
  `getSortAscending()`
  `String`
  `getSortColumnId()`
  `void`
  `setCurrentPage(Integer currentPage)`
  `void`
  `setSortAscending(Boolean sortAscending)`
  `void`
  `setSortColumnId(String sortColumnId)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.tapestry5.BaseOptimizedSessionPersistedObject

  `checkAndResetDirtyMarker, markDirty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GridPaginationModelImpl

    public GridPaginationModelImpl()

- ## Method Details

  - ### getSortColumnId

    public String getSortColumnId()
    Specified by:
      `getSortColumnId` in interface `GridPaginationModel`

  - ### setSortColumnId

    public void setSortColumnId(String sortColumnId)
    Specified by:
      `setSortColumnId` in interface `GridPaginationModel`

  - ### getSortAscending

    public Boolean getSortAscending()
    Specified by:
      `getSortAscending` in interface `GridPaginationModel`

  - ### setSortAscending

    public void setSortAscending(Boolean sortAscending)
    Specified by:
      `setSortAscending` in interface `GridPaginationModel`

  - ### getCurrentPage

    public Integer getCurrentPage()
    Specified by:
      `getCurrentPage` in interface `GridPaginationModel`

  - ### setCurrentPage

    public void setCurrentPage(Integer currentPage)
    Specified by:
      `setCurrentPage` in interface `GridPaginationModel`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`